\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - dD Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
CGAL::Epick_d< DimensionTag >::Compute_squared_radius_d Struct Reference

`#include <CGAL/Epick_d.h>`

## Public Member Functions
template<class ForwardIterator >
Point_d | operator() (ForwardIterator first, ForwardIterator last)
| returns the radius of the sphere defined by `A=tuple[first,last)`. More...

## Member Function Documentation

template<typename DimensionTag >
template<class ForwardIterator >

Point_d CGAL::Epick_d< DimensionTag >::Compute_squared_radius_d::operator() | ( | ForwardIterator | first,
|  | ForwardIterator | last
| ) |  |

returns the radius of the sphere defined by `A=tuple[first,last)`.

The sphere is centered in the affine hull of A and passes through all the points of A. The order of the points of A does not matter.

Precondition
  A is affinely independant.

Template Parameters

  ForwardIterator | has `Epick_d::Point_d` as value type.